Airwallex logo

Accounting Field Values

Copy for LLMView as Markdown

Manages selectable values for custom accounting fields.

Endpoints
GET /api/v1/accounting/accounting_field_values
GET /api/v1/accounting/accounting_field_values/{id}
POST /api/v1/accounting/accounting_field_values/{id}/update
POST /api/v1/accounting/accounting_field_values/create

List Accounting Field ValuesBeta

GET /api/v1/accounting/accounting_field_values

Returns accounting field values filtered by the specified query parameters.

Parameters
accounting_field_idstring

Filter by accounting field ID.

external_idstring

Filter by external ID.

legal_entity_idstring

Filter by legal entity ID.

pagestring

A bookmark for use in pagination to retrieve the next or previous page of results.

statusstring

Filter by accounting field value status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
Response body - 200 OK
itemsarray

List of accounting field values returned.

items.accounting_field_idstring

Unique identifier of the parent accounting field.

items.created_atstring

Time at which the accounting field value was created, in ISO 8601 format.

items.idstring

Unique identifier of the accounting field value.

items.statusstring

Accounting resource status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
items.updated_atstring

Time at which the accounting field value was last updated, in ISO 8601 format.

items.valuestring

Accounting field value name.

items.external_idstring

External ID from the accounting system.

items.legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

items.value_labelstring

Airwallex display name for the accounting field value.

page_afterstring

A pointer to the end of the page list used to retrieve the next page of results.

page_beforestring

A pointer to the start of the page list used to retrieve the previous page of results.

Errors
Error statusDescription
400

Invalid request.

404

Not found.

500

Internal server error.

GET /api/v1/accounting/accounting_field_values
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",
5 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
6 "value": "RSG1",
7 "value_label": "Singapore | RSG1",
8 "external_id": "RSG1",
9 "legal_entity_ids": [
10 "le_U3jlHqQRNHWn2zAKeeT8sg"
11 ],
12 "status": "ACTIVE",
13 "created_at": "2025-01-01T00:00:00Z",
14 "updated_at": "2025-02-02T00:00:00Z"
15 }
16 ],
17 "page_after": "eyJwYWdlIjoiMiJ9"
18}
Was this section helpful?

Get Accounting Field ValueBeta

GET /api/v1/accounting/accounting_field_values/{id}

Retrieves an existing accounting field value.

Parameters
idrequiredstring

Unique identifier of the accounting field value.

Response body - 200 OK
accounting_field_idstring

Unique identifier of the parent accounting field.

created_atstring

Time at which the accounting field value was created, in ISO 8601 format.

external_idstring

External ID from the accounting system.

idstring

Unique identifier of the accounting field value.

legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

statusstring

Accounting resource status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
updated_atstring

Time at which the accounting field value was last updated, in ISO 8601 format.

valuestring

Accounting field value name.

value_labelstring

Airwallex display name for the accounting field value.

Errors
Error statusDescription
400

Invalid request.

404

Not found.

500

Internal server error.

GET /api/v1/accounting/accounting_field_values/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/4b8d83d6-70c4-429d-8a0b-bb3281f6b17f' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",
3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
4 "value": "RSG1",
5 "value_label": "Singapore | RSG1",
6 "external_id": "RSG1",
7 "legal_entity_ids": [
8 "le_U3jlHqQRNHWn2zAKeeT8sg"
9 ],
10 "status": "ACTIVE",
11 "created_at": "2025-01-01T00:00:00Z",
12 "updated_at": "2025-02-02T00:00:00Z"
13}
Was this section helpful?

Update Accounting Field ValueBeta

POST /api/v1/accounting/accounting_field_values/{id}/update

Updates an existing accounting field value.

Parameters
idrequiredstring

Unique identifier of the accounting field value.

Request body
accounting_field_idrequiredstring

Unique identifier of the parent accounting field.

statusrequiredstring

Accounting resource status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
valuerequiredstring

Accounting field value name.

external_idstring

External ID from the accounting system.

legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

value_labelstring

Airwallex display name for the accounting field value.

Response body - 200 OK
accounting_field_idstring

Unique identifier of the parent accounting field.

created_atstring

Time at which the accounting field value was created, in ISO 8601 format.

external_idstring

External ID from the accounting system.

idstring

Unique identifier of the accounting field value.

legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

statusstring

Accounting resource status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
updated_atstring

Time at which the accounting field value was last updated, in ISO 8601 format.

valuestring

Accounting field value name.

value_labelstring

Airwallex display name for the accounting field value.

Errors
Error statusDescription
400

Invalid request.

404

Not found.

500

Internal server error.

POST /api/v1/accounting/accounting_field_values/{id}/update
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/4b8d83d6-70c4-429d-8a0b-bb3281f6b17f/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
> "value": "RSG1",
> "value_label": "Singapore | RSG1",
> "external_id": "RSG1",
> "legal_entity_ids": [
> "le_U3jlHqQRNHWn2zAKeeT8sg"
> ],
> "status": "ACTIVE"
>}'
Response (200 OK)
1{
2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",
3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
4 "value": "RSG1",
5 "value_label": "Singapore | RSG1",
6 "external_id": "RSG1",
7 "legal_entity_ids": [
8 "le_U3jlHqQRNHWn2zAKeeT8sg"
9 ],
10 "status": "ACTIVE",
11 "created_at": "2025-01-01T00:00:00Z",
12 "updated_at": "2025-02-02T00:00:00Z"
13}
Was this section helpful?

Create Accounting Field ValueBeta

POST /api/v1/accounting/accounting_field_values/create

Creates a new accounting field value.

Request body
accounting_field_idrequiredstring

Unique identifier of the parent accounting field.

request_idrequiredstring

Unique identifier for this request to ensure idempotency. Generate a random UUID to prevent accidental duplication.

valuerequiredstring

Accounting field value name.

external_idstring

External ID from the accounting system.

legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

value_labelstring

Airwallex display name for the accounting field value.

Response body - 201 Created
accounting_field_idstring

Unique identifier of the parent accounting field.

created_atstring

Time at which the accounting field value was created, in ISO 8601 format.

external_idstring

External ID from the accounting system.

idstring

Unique identifier of the accounting field value.

legal_entity_idsarray

Legal entity IDs to which this accounting field value applies. Omit this field when it applies to all legal entities.

statusstring

Accounting resource status. Possible values are ACTIVE and ARCHIVED.

ACTIVE
ARCHIVED
updated_atstring

Time at which the accounting field value was last updated, in ISO 8601 format.

valuestring

Accounting field value name.

value_labelstring

Airwallex display name for the accounting field value.

Errors
Error statusDescription
400

Invalid request.

404

Not found.

500

Internal server error.

POST /api/v1/accounting/accounting_field_values/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/accounting_field_values/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "request_id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",
> "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
> "value": "RSG1",
> "value_label": "Singapore | RSG1",
> "external_id": "RSG1",
> "legal_entity_ids": [
> "le_U3jlHqQRNHWn2zAKeeT8sg"
> ]
>}'
Response (201 Created)
1{
2 "id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",
3 "accounting_field_id": "985461d5-016f-4e1f-a387-5f1380b42d92",
4 "value": "RSG1",
5 "value_label": "Singapore | RSG1",
6 "external_id": "RSG1",
7 "legal_entity_ids": [
8 "le_U3jlHqQRNHWn2zAKeeT8sg"
9 ],
10 "status": "ACTIVE",
11 "created_at": "2025-01-01T00:00:00Z",
12 "updated_at": "2025-01-01T00:00:00Z"
13}
Was this section helpful?